## org.apache.hadoop.security
Enum SaslRpcServer.SaslStatus

    java.lang.Object
      java.lang.Enum<SaslRpcServer.SaslStatus>
          org.apache.hadoop.security.SaslRpcServer.SaslStatus

All Implemented Interfaces:
  Serializable, Comparable<SaslRpcServer.SaslStatus>

Enclosing class:
  SaslRpcServer

    public static enum SaslRpcServer.SaslStatus

extends Enum<SaslRpcServer.SaslStatus>

Enum Constant Summary
`ERROR`
`SUCCESS`

Field Summary
`int` `state`

Method Summary
`static SaslRpcServer.SaslStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SaslRpcServer.SaslStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUCCESS

    public static final SaslRpcServer.SaslStatus SUCCESS

### ERROR

    public static final SaslRpcServer.SaslStatus ERROR

Field Detail

### state

    public final int state

Method Detail

### values

    public static SaslRpcServer.SaslStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SaslRpcServer.SaslStatus c : SaslRpcServer.SaslStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SaslRpcServer.SaslStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2009 The Apache Software Foundation